import 'package:comunic/helpers/account_credentials_helper.dart';
import 'package:comunic/ui/login_route.dart';
import 'package:flutter/material.dart';

/// Main file of the application
///
/// @author Pierre HUBERT

void main() {
  runApp(ComunicApplication());
}

class ComunicApplication extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      // We need to know whether the user is signed in or not to continue
      home: FutureBuilder(
        future: AccountCredentialsHelper().signedIn(),
        builder: (b, AsyncSnapshot<bool> c){
          if(!c.hasData)
            return CircularProgressIndicator();

          else
            if(c.data)
              throw "Not supported yet !";
            else
              return LoginRoute();
        },
      ),
    );
  }
}
